ListImages
Returns the list of images that you have access to.
Request Syntax
POST /ListImages HTTP/1.1
Content-type: application/json
{
"byName": boolean,
"filters": [
{
"name": "string",
"values": [ "string" ]
}
],
"includeDeprecated": boolean,
"maxResults": number,
"nextToken": "string",
"owner": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- byName
-
Specifies whether to return one entry per image name, with all versions of each image aggregated. Defaults to
false, which returns one entry per image version. You can't combine this option with theversionfilter.Type: Boolean
Required: No
- filters
-
Use the following filters to streamline results:
-
name -
osVersion -
platform -
type -
version
Type: Array of Filter objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
Required: No
-
- includeDeprecated
-
Specifies whether to include deprecated Amazon-managed images in the results. Deprecated images that you own are always returned. Defaults to
false.Type: Boolean
Required: No
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
- owner
-
Filters the list to images owned by you, by Amazon, or shared with you by other accounts. By default, only your account's images are returned.
Type: String
Valid Values:
Self | Shared | Amazon | ThirdParty | AWSMarketplaceRequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"imageVersionList": [
{
"arn": "string",
"buildType": "string",
"dateCreated": "string",
"imageSource": "string",
"name": "string",
"osVersion": "string",
"owner": "string",
"platform": "string",
"type": "string",
"version": "string"
}
],
"nextToken": "string",
"requestId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- imageVersionList
-
The list of image semantic versions.
Note
The semantic version has four nodes: <major>.<minor>.<patch>/<build>. You can assign values for the first three, and can filter on all of them.
Filtering: You can use wildcards (x) to specify the most recent versions or nodes when selecting the base image or components for your recipe. When you use a wildcard in any node, all nodes to the right of the first wildcard must also be wildcards.
Type: Array of ImageVersion objects
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
- requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List images that you own
The following example lists the image versions that you own. Setting byName to false returns each image version as its own entry, instead of grouping build versions under their image name.
Sample Request
POST /ListImages HTTP/1.1
Content-type: application/json
{
"owner": "Self",
"byName": false
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"requestId": "19794296-a45f-4079-8741-e00d3c916318",
"imageVersionList": [
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-recipe/1.0.0",
"name": "my-example-recipe",
"type": "AMI",
"version": "1.0.0",
"platform": "Linux",
"osVersion": "Amazon Linux 2023",
"owner": "111122223333",
"dateCreated": "2026-09-09T19:12:18.677Z",
"buildType": "USER_INITIATED"
},
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-windows-image/1.0.0",
"name": "my-example-windows-image",
"type": "AMI",
"version": "1.0.0",
"platform": "Windows",
"osVersion": "Microsoft Windows Server 2025",
"owner": "111122223333",
"dateCreated": "2026-03-10T19:57:27.323Z",
"buildType": "USER_INITIATED"
},
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-windows-image/1.0.1",
"name": "my-example-windows-image",
"type": "AMI",
"version": "1.0.1",
"platform": "Windows",
"osVersion": "Microsoft Windows Server 2025",
"owner": "111122223333",
"dateCreated": "2026-03-10T20:32:31.795Z",
"buildType": "USER_INITIATED"
}
]
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: